__misc_deregister
Prev | Chapter 19. Miscellaneous Devices | Next

## Name

__misc_deregister — unregister a miscellaneous device

## Synopsis

`int __misc_deregister (` | struct miscdevice * | misc,
| bool | suspended`)`;

## Arguments

`misc`

  device to unregister

`suspended`

  to be set if the function is used during suspend/resume

## Description

Unregister a miscellaneous device that was previously successfully registered with `misc_register`. Success is indicated by a zero return, a negative errno code indicates an error.

Prev | Up | Next
misc_register | Home | Chapter 20. Parallel Port Devices